Package ru.bitel.bgbilling.kernel.network.dhcp

# Class DhcpListenerWorkerContext

java.lang.Object
ru.bitel.common.worker.ThreadContext
ru.bitel.bgbilling.kernel.base.server.DefaultContext
ru.bitel.bgbilling.kernel.container.managed.ContainerContext
ru.bitel.bgbilling.kernel.container.managed.ServerContext
ru.bitel.bgbilling.kernel.network.dhcp.DhcpListenerWorkerContext

All Implemented Interfaces:
  `AutoCloseable`, `ru.bitel.common.util.ConnectionHolder`, `ru.bitel.common.worker.Commitable`, `ru.bitel.common.worker.CommitableHandler`, `ru.bitel.common.worker.Recyclable`

public class DhcpListenerWorkerContext extends ru.bitel.bgbilling.kernel.container.managed.ServerContext

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected long`
  `currentHourPart`
  `protected final ru.bitel.bgbilling.kernel.network.dhcp.datalog.hourly.DhcpHourlyDataLogger`
  `dataLogger`
  `protected ConcurrentHashMap<Integer,ru.bitel.bgbilling.kernel.network.dhcp.datalog.hourly.DhcpHourlyDataLogEntry>`
  `hourEntryMap`
  `protected final DhcpListener`
  `listener`
  `protected final DhcpProcessor<Idable>`
  `processor`
  `protected final WeakHashMap<ru.bitel.bgbilling.kernel.network.dhcp.datalog.hourly.DhcpHourlyDataLogEntry,ru.bitel.bgbilling.kernel.network.dhcp.datalog.DhcpDataLogWriter>`
  `writerMap`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.container.managed.ContainerContext

  `setup`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.base.server.DefaultContext

  `connectionSet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DhcpListenerWorkerContext(Setup setup, int moduleId, DhcpListener listener, DhcpProcessor<Idable> processor, ru.bitel.bgbilling.kernel.network.dhcp.datalog.hourly.DhcpHourlyDataLogger dataLogger)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DhcpListener`
  `getListener()`
  `DhcpProcessor<Idable>`
  `getProcessor()`
  `final void`
  `writeRecord(Idable device, int[] positions, ByteBuffer data, long now)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.container.managed.ServerContext

  `addCommitable, commit, destroy, getDirectory, getResourceManager, getService, init, newDirectory, newService, publishAfterCommit, recycle`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.container.managed.ContainerContext

  `getEnvironment, getModuleId, getModuleSetup, getNamingContext, getSetup, getUserId`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.DefaultContext

  `close, getConnection, getConnectionSet`

  ### Methods inherited from class ru.bitel.common.worker.ThreadContext

  `get, get, pop, push, set`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### listener

    protected final DhcpListener listener

  - ### processor

    protected final DhcpProcessor<Idable> processor

  - ### dataLogger

    protected final ru.bitel.bgbilling.kernel.network.dhcp.datalog.hourly.DhcpHourlyDataLogger dataLogger

  - ### currentHourPart

    protected long currentHourPart

  - ### hourEntryMap

    protected ConcurrentHashMap<Integer,ru.bitel.bgbilling.kernel.network.dhcp.datalog.hourly.DhcpHourlyDataLogEntry> hourEntryMap

  - ### writerMap

    protected final WeakHashMap<ru.bitel.bgbilling.kernel.network.dhcp.datalog.hourly.DhcpHourlyDataLogEntry,ru.bitel.bgbilling.kernel.network.dhcp.datalog.DhcpDataLogWriter> writerMap

- ## Constructor Details

  - ### DhcpListenerWorkerContext

    public DhcpListenerWorkerContext(Setup setup, int moduleId, DhcpListener listener, DhcpProcessor<Idable> processor, ru.bitel.bgbilling.kernel.network.dhcp.datalog.hourly.DhcpHourlyDataLogger dataLogger)

- ## Method Details

  - ### writeRecord

    public final void writeRecord(Idable device, int[] positions, ByteBuffer data, long now)

  - ### getListener

    public DhcpListener getListener()

  - ### getProcessor

    public DhcpProcessor<Idable> getProcessor()